<?php

use App\Libraries\ejLib;
$var = ejLib::getInstance();
$soapclient = $var->getWs();
$wsClave = $var->get_wsClave();

?>

<script>
  $(document).ready(function(){

    function printPrivilegios(data,data2){
      $.ajax({
        url:   'usuario-AdministrarCuentasDeUsuario_getLstPrivilegiosUsuario',
        type:  'POST',
        data:  {"iddoc" : data, "centrosal" : data2},

          success:  function (response) {
          //alert(response);
          html='<tr><th>Titulo</th><th>Periodo</th><th>Horario</th><th>Activo desde</th><th>Opciones</th></tr>';
          xmlDoc = $.parseXML( response ),
          $xml = $( xmlDoc );
          $($xml).find('respuesta').each(function(){
            html += '<tr>'
            var titulo = ($(this).find("respuesta>titulo").text());
            var periodo = ($(this).find("respuesta>periodo").text());
            var horario = ($(this).find("respuesta>horario").text());
            var activodesde = ($(this).find("respuesta>activodesde").text());
            html += '<td>'+titulo+'</td>'+'<td>'+periodo+'</td>'+'<td>'+horario+'</td>'+'<td>'+activodesde+'</td>'+'<td>'+'<button data-toggle="modal" data-target="#agregarCon">Estatus</button>'+'</td>';
            html += '</tr>'
          });
          document.querySelector('#listaPrivilegios').innerHTML = html;
        },

        error : function(xhr, status) {
          alert('Disculpe, existió un problema');
        },
      });
    };

    $("#privilegios").on('click', '.agregarConsultorio', function() {
      var consultorio = document.querySelector('#consultorio option:checked').value
      var especialidad = document.querySelector('#especialidad option:checked').value
      var tiempoConsulta = document.querySelector('#tiempoConsulta option:checked').value
      var fechaInicio = document.querySelector('#fechaInicio').value
      var fechaTermino = document.querySelector('#fechaTermino').value
      var object = document.querySelector('#listaPrivilegios #id-doc');
      var centroSal = object.getAttribute('centro');
      var idMedico = object.getAttribute('doc');
      var horarios=[];

      $("input[data-dia]:checked").each(  function(){
        horarios.push(
          $(this).data('dia')+","+
          $("#"+$(this).data('dia')+"_hora_i_h").val()+":"+
          $("#"+$(this).data('dia')+"_hora_i_m").val()+","+
          $("#"+$(this).data('dia')+"_hora_t_h").val()+":"+
          $("#"+$(this).data('dia')+"_hora_t_m").val()
        );
      });
      var horas = horarios[0];
      if(horarios.length>1){
        for(i=1 ; i < horarios.length; i++){
          horas = horas+'-'+horarios[i];
        }
      }

      var datos={ "encabezado" : {
        "consultorio" : consultorio, "especialidad" : especialidad, "tiempoConsulta" : tiempoConsulta, "fechaInicio" : fechaInicio, "fechaTermino" : fechaTermino, "idMedico" : idMedico, "centroSal" : centroSal } ,
        "horarios": horas
        };
      //console.info(horarios);
      $.ajax({
        url:   'usuario-AdministrarCuentasDeUsuario_add_Consultorio',
        type:  'POST',
        data:  datos,

        success:  function (response) {
          alert(response);
          xmlDoc = $.parseXML( response ),
          $xml = $( xmlDoc );
          $($xml).each(function(){
          printPrivilegios(idMedico,centroSal);
          });
        },

        error : function(xhr, status) {
          alert('Disculpe, existió un problema'+xhr);
        },
      });
    });

  });


</script>

<form id="privilegios" method="#" action="#">
  <div class="row">
    <div class="titulo_fondo">
      <div class="titulo_pagina2">PRIVILEGIOS DEL OPERADOR</div>
      <img src="Img/close.png" height="20"  class="cerrar_form"/>
    </div>
  </div>
  <div class="container">
    <div class="row">
      <div class="col-md-12">

        <div class="col-md-4">
          <button type="button" style="width:200px;" class="" data-toggle="modal" data-target="#agregarCon">Agregar Consultorio</button>
        </div>

      </div>
      <div class="col-md-12">
          <table id="listaPrivilegios" style="width:100%">

          </table>
      </div>
    </div>
  </div>









</form>
